FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 02-13-2011, 01:17 AM
"Steve M. Robbins"
 
Default patch removal of --unified-reject-files breaks quilt

Hi,

Suddenly, I can't apply my quilt patches:

steve@riemann{insighttoolkit-3.20.0}quilt push -a
Applying patch metaio-test-vtk_source.patch
patch: unrecognized option '--unified-reject-files'
patch: Try `patch --help' for more information.
Patch metaio-test-vtk_source.patch does not apply (enforce with -f)

Patch 2.6.1 has removed this "lenny compatibility option" deliberately.
How can we get quilt working again?

(for now, I've downgraded back to patch 2.6)

Thanks,
-Steve
 
Old 02-13-2011, 01:53 AM
gregor herrmann
 
Default patch removal of --unified-reject-files breaks quilt

On Sat, 12 Feb 2011 20:17:35 -0600, Steve M. Robbins wrote:

> Suddenly, I can't apply my quilt patches:
>
> steve@riemann{insighttoolkit-3.20.0}quilt push -a
> Applying patch metaio-test-vtk_source.patch
> patch: unrecognized option '--unified-reject-files'
> patch: Try `patch --help' for more information.
> Patch metaio-test-vtk_source.patch does not apply (enforce with -f)
>
> Patch 2.6.1 has removed this "lenny compatibility option" deliberately.
> How can we get quilt working again?

In my case by fixing ~/.quiltrc:

#QUILT_PATCH_OPTS="--unified-reject-files"

Since commenting out the option quilt works again


Cheers,
gregor

--
.'`. http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
: :' : Debian GNU/Linux user, admin, & developer - http://www.debian.org/
`. `' Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
`- NP: Queen: Is This The World We Created..
 
Old 02-13-2011, 02:26 AM
"Steve M. Robbins"
 
Default patch removal of --unified-reject-files breaks quilt

On Sun, Feb 13, 2011 at 03:53:34AM +0100, gregor herrmann wrote:
> On Sat, 12 Feb 2011 20:17:35 -0600, Steve M. Robbins wrote:
>
> > Suddenly, I can't apply my quilt patches:
> >
> > steve@riemann{insighttoolkit-3.20.0}quilt push -a
> > Applying patch metaio-test-vtk_source.patch
> > patch: unrecognized option '--unified-reject-files'
> > patch: Try `patch --help' for more information.
> > Patch metaio-test-vtk_source.patch does not apply (enforce with -f)
> >
> > Patch 2.6.1 has removed this "lenny compatibility option" deliberately.
> > How can we get quilt working again?
>
> In my case by fixing ~/.quiltrc:
>
> #QUILT_PATCH_OPTS="--unified-reject-files"
>
> Since commenting out the option quilt works again

Aha! I have the same option in .quiltrc. Thanks, I'll remove
it and try again.

Cheers,
-Steve
 
Old 02-13-2011, 08:59 AM
 
Default patch removal of --unified-reject-files breaks quilt

On Feb 13, "Steve M. Robbins" <steve@sumost.ca> wrote:

> Patch 2.6.1 has removed this "lenny compatibility option" deliberately.
> How can we get quilt working again?
vi ~/.quiltrc

--
ciao,
Marco
 

Thread Tools




All times are GMT. The time now is 11:57 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org